Get a list of webhook event logs
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| webhookId | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | string (string) | Optional | |
| pageSize | The number of elements to return in a page | integer (int32) | Optional |
| pageNumber | The current page number | integer (int32) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| fullName | Full Name | String | equals not equals one of like not like not one of |
| requestTimestamp | Webhook Log Request Timestamp | DateTimeOffset | equals not equals less than between greater than less than equal greater than equal |
| result | Webhook Log Result | String | equals not equals one of like not like not one of |
| systemUserCode | Username | String | equals not equals one of like not like not one of |
| systemUserID | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of |
Response Headers
This endpoint returns pagination metadata in the response headers.
| Header | Type | Description |
|---|---|---|
| PageNumber | integer | The current page number (1-based). |
| PageSize | integer | The maximum number of items per page. |
| TotalNumberOfRecords | integer | The total number of records matching the query across all pages. |
| TotalPages | integer | The total number of pages. Increment pageNumber until it equals this value to retrieve all results. |
See the Pagination guide for iteration examples and best practices.
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
WebhookLogResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| requestTimestamp | The date and time that the webhook was fired | string (date-time) | ||||||||||||
| result | The HTTP status code that was received from the configured url 0 indicates no response was received from the configured url | string | ||||||||||||
| user | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| webhookLogId | The identifier of the webhook log | integer (int64) | ||||||||||||
Example Response
[
{ "requestTimestamp": "2026-03-30", "result": "string", "user": { "fullName": "string", "userCode": "string", "userId": 1
}, "webhookLogId": 1
}
]